2015-02-02 11:39:57 +00:00
|
|
|
diff --git a/config.h.in b/config.h.in
|
2019-03-05 20:49:26 +00:00
|
|
|
index 4ecaa8f..2f65ccc 100644
|
2015-02-02 11:39:57 +00:00
|
|
|
--- a/config.h.in
|
|
|
|
+++ b/config.h.in
|
2019-03-05 20:49:26 +00:00
|
|
|
@@ -600,7 +600,7 @@ int sigwait(const unsigned int *set, int *sig);
|
2015-01-14 11:38:32 +00:00
|
|
|
#undef PREFER_GOSTASN1
|
2012-08-01 13:23:45 +00:00
|
|
|
|
|
|
|
/* The size of `void *', as computed by sizeof. */
|
|
|
|
-#undef SIZEOF_VOID_P
|
|
|
|
+/* #undef SIZEOF_VOID_P */
|
|
|
|
|
|
|
|
/* Define to 1 if you have the ANSI C header files. */
|
|
|
|
#undef STDC_HEADERS
|
2015-02-02 11:39:57 +00:00
|
|
|
diff --git a/isc-config.sh.in b/isc-config.sh.in
|
2019-03-05 20:49:26 +00:00
|
|
|
index a8a0a89..b5e94ed 100644
|
2015-02-02 11:39:57 +00:00
|
|
|
--- a/isc-config.sh.in
|
|
|
|
+++ b/isc-config.sh.in
|
2018-09-19 17:17:58 +00:00
|
|
|
@@ -13,7 +13,18 @@ prefix=@prefix@
|
2012-08-01 13:23:45 +00:00
|
|
|
exec_prefix=@exec_prefix@
|
|
|
|
exec_prefix_set=
|
|
|
|
includedir=@includedir@
|
2013-05-13 10:50:46 +00:00
|
|
|
-libdir=@libdir@
|
2012-08-01 13:23:45 +00:00
|
|
|
+arch=$(uname -m)
|
|
|
|
+
|
|
|
|
+case $arch in
|
|
|
|
+ x86_64 | amd64 | sparc64 | s390x | ppc64)
|
|
|
|
+ libdir=/usr/lib64
|
|
|
|
+ sec_libdir=/usr/lib
|
|
|
|
+ ;;
|
|
|
|
+ * )
|
|
|
|
+ libdir=/usr/lib
|
|
|
|
+ sec_libdir=/usr/lib64
|
|
|
|
+ ;;
|
|
|
|
+esac
|
|
|
|
|
|
|
|
usage()
|
|
|
|
{
|
2018-09-19 17:17:58 +00:00
|
|
|
@@ -132,6 +143,16 @@ if test x"$echo_libs" = x"true"; then
|
2013-05-13 10:50:46 +00:00
|
|
|
if test x"${exec_prefix_set}" = x"true"; then
|
2015-09-03 23:34:48 +00:00
|
|
|
libs="-L${exec_prefix}/lib"
|
2013-05-13 10:50:46 +00:00
|
|
|
else
|
|
|
|
+ if [ ! -x $libdir/libisc.so ] ; then
|
|
|
|
+ if [ ! -x $sec_libdir/libisc.so ] ; then
|
|
|
|
+ echo "Error: ISC libs not found in $libdir"
|
|
|
|
+ if [ -d $sec_libdir ] ; then
|
|
|
|
+ echo "Error: ISC libs not found in $sec_libdir"
|
|
|
|
+ fi
|
|
|
|
+ exit 1
|
2012-08-01 13:23:45 +00:00
|
|
|
+ fi
|
2013-05-13 10:50:46 +00:00
|
|
|
+ libdir=$sec_libdir
|
2012-08-01 13:23:45 +00:00
|
|
|
+ fi
|
2013-05-13 10:50:46 +00:00
|
|
|
libs="-L${libdir}"
|
|
|
|
fi
|
2015-09-03 23:34:48 +00:00
|
|
|
if test x"$libirs" = x"true" ; then
|